<template>
  <v-layout wrap class="writing-footer">
    <v-container :fluid="$vuetify.breakpoint.mdAndDown">
      <v-layout v-if="concluded" justify-end align-center>
        <concluded-message/>
      </v-layout>
      <v-layout wrap v-else justify-end align-center>
        <v-flex class="pb-3 pt-2" xs12 lg2 d-flex justify-space-between align-center>
          <step-counter :step="step"/>
          <heart-icon :lifes="lifes" v-if="$vuetify.breakpoint.mdAndDown"/>
        </v-flex>
        <v-flex class="ma-0" v-if="!hiddenCheck" xs12 md4 lg2>
          <v-tooltip top :disabled="!tooltip ">
            <v-btn
              slot="activator"
              :disabled="disabledCheck"
              @click="check"
              block
              large
              class="font-weight-bold default-btn default-btn__md ma-0 indigo--text"
              color="yellow"
            >{{label}} </v-btn>
            {{tooltip}}
          </v-tooltip>
        </v-flex>
      </v-layout>
    </v-container>
  </v-layout>
</template>

<script>
import StepCounter from './Components/StepCounter';
import HeartIcon from './Components/HeartIcon';
import ConcludedMessage from './Components/ConcludedMessage';

export default {
  components: {
    StepCounter,
    HeartIcon,
    ConcludedMessage,
  },
  props: {
    hiddenCheck: {
      type: Boolean,
      default: false,
    },
    tooltip: {
      type: String,
      default: '',
    },
    disabledCheck: {
      type: Boolean,
      default: true,
    },
    concluded: {
      type: Boolean,
      default: false,
    },
    step: {
      type: Number,
      default: 1,
    },
    loading: {
      type: Boolean,
      default: false,
    },
    lifes: {
      type: Number,
      default: 2,
    },
  },
  methods: {
    check() {
      this.$emit('check');
    },
  },
  computed: {
    label() {
      return this.step === 1 ? 'Continue' : 'Check';
    },
  },
};
</script>

<style lang="sass">
@import ~@/styles/defaults/variables
@import ~@/styles/defaults/mobileFirst

.writing-footer
  width: 100%
  height: auto
  margin-bottom: 20px
  +media-min-lg()
    margin: 0 auto
</style>
